Results 1 to 4 of 4

Thread: UMP v.2.5.8 compatability with PHP 5.3

  1. #1
    Join Date
    Jun 2006
    Location
    Alajuela, Costa Rica
    Posts
    107

    Default UMP v.2.5.8 compatability with PHP 5.3

    Hi everyone,
    I have been away from the forum for a while.
    My host plans to upgrade to PHP 5.3 in March. Eduardo has told me UMP is dead, so I need an option for having my site in both English and Spanish as I do business in a Spanish speaking country. I have 400 or so listings which would be a real pain to have to plug in to another program. Does anyone have any ideas on how to go about this?
    THANKS!
    Silence is golden....
    but Duck tape is silver!!
    My site: www.crfirst.com

  2. #2
    Join Date
    Jul 2005
    Location
    Sao Paulo, BRAZIL
    Posts
    3,763

    Default Re: UMP v.2.5.8 compatability with PHP 5.3

    Quote Originally Posted by Terrytica View Post
    I have 400 or so listings which would be a real pain to have to plug in to another program. Does anyone have any ideas on how to go about this?
    Hi Terry,

    Yes, I have an idea about how to do it and I will not be able to make it clear to you (or anyone else) with dozens of posts. It is a painfull task and will require some hours of work, maybe days.
    You can follow the Open-Realty Official Guide on how to upgrade and that will upgrade your UMP installation to the latest O-R version - with errors to be fixed. For example:

    You will need to have installed and set as default the "LAZULI" site template and the "OR_small" admin template.
    You will need to fix 2 bugs at the "old" Multilingual add-on file.
    A LOT of listing field values will need to be edited, some deleted.
    Listing class names will need to be edited to texts and not language tags.
    Your actual Website DESIGN will need to be "redesigned" (once a lot of new template files were included at v.3.x) and have all "old" Multilingual add-on tags removed.
    For now, that's what comes to my mind - that means most probably there are more required actions.

    My suggestion is to forget all the above and try v.3.x with the new Multilingual Add-on.
    After having decided to go with v.3.x and my add-on... then you should think about your 400 listings and for that I see 2 options: do the hard work and find out how to do it by yourself (afaik, nobody did it so far)... or hire someone to do this painfull job for you (posting at the Work Forum area).

    You knew UMP was a temporally solution and some day would die - it "lived" more than 3 years (!!!), much more than I could ever imagine.

    Good luck!
    Eduardo

    Open-Realty® DOCs
    We can easily forgive a child who is afraid of the dark; the real tragedy of life is when men are afraid of the light. (Author Unknown)

  3. #3
    Join Date
    Jun 2006
    Location
    Alajuela, Costa Rica
    Posts
    107

    Default Re: UMP v.2.5.8 compatability with PHP 5.3

    OK Eduardo, Thanks!
    The later option seems to be the best in the long run. If I were to decide to temporarily only have the site in English, would it even be possible to upgrade to 3.x.x, then do the add-on as time permits? To hire someone is not out of the question, but I dont think there is anyone who knows this program like you and Gregor.
    Silence is golden....
    but Duck tape is silver!!
    My site: www.crfirst.com

  4. #4
    Join Date
    Jul 2005
    Location
    Sao Paulo, BRAZIL
    Posts
    3,763

    Default Re: UMP v.2.5.8 compatability with PHP 5.3

    Quote Originally Posted by Terrytica View Post
    ...If I were to decide to temporarily only have the site in English, would it even be possible to upgrade to 3.x.x, then do the add-on as time permits?
    Makes no difference if only English or any other language or multiple languages. All I said at my previous post is required.

    Quote Originally Posted by Terrytica View Post
    ...but I dont think there is anyone who knows this program like you and Gregor.
    Not true. Many many users knows Open-Realty very well.
    That may be true for "our patch" but actually you want O-R v.3.x so that "know-how" is "almost" useless to move from one to another. The most important is you will end with a default Open-Realty installation, with support granted by TTECH and with the possibility to have a professional version.

    BTW... I have not yet decided if my Multilingual add-on will really be a "free add-on".
    Most probably... I will decide to make it free ONLY for the people that have paid for the Professional Version of Open-Realty but as I said, I have not decided and I need to contact Ryan about it.

    Eduardo

    Open-Realty® DOCs
    We can easily forgive a child who is afraid of the dark; the real tragedy of life is when men are afraid of the light. (Author Unknown)

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •